<?php
	//-------------------------
	$StrFec=V($_POST['TxtFec']);
	$StrAlm=V($_POST['CboAlm']);
	$StrTde=V($_POST['CboTde']);
	$StrTot=V($_POST['TxtTot']);
	$StrObs=V($_POST['TxtObs']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vingresos","ID=$Id");		
		$StrAlm=gs("ALM","vingresos","ID=$Id");		
		$StrTde=gs("TDI","vingresos","ID=$Id");		
		$StrTot=gn("TOT","vingresos","ID=$Id");		
		$StrObs=gs("OBS","vingresos","ID=$Id");		
		$LStrFoc="document.getElementById('TxtFec').focus();";		
		$StrGT="S";
	}	
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrTde_=gn("id_it","ingresos_tipos","nombre='$StrTde'");
		$StrFec_=ToDate($StrFec);
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		$Id=GenId("id_ingreso","ingresos");
		$s="INSERT INTO ingresos VALUES ($Id,'$StrFec_',$StrAlm_,
			$StrTde_,$StrTot,'$StrObs')";
		ejt($s);
		$LStrMsg="Datos registrados";
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$StrId="";
		$StrFec="";
		$StrTot="";
		$StrObs="";
		$StrGT="S";
	}
	if($StrCmd=="M"){
		if(strlen($StrGT)==0){
			$s="UPDATE ingresos SET fec='$StrFec_',id_alm=$StrAlm_,id_it=$StrTde_,
				tot=$StrTot,obs='$StrObs' 
				WHERE id_ingreso=$StrId";	
			ejt($s);
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$StrId="";
			$StrFec="";
			$StrTot="";
			$StrObs="";
			$StrGT="S";
		}
	}
	if($StrCmd=="E"){
		if(strlen($StrGT)==0){
			$s="DELETE FROM ingresos WHERE id_ingreso=$StrId";	
			ejt($s);
			$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$StrId="";
			$StrFec="";
			$StrTot="";
			$StrObs="";
			$StrGT="S";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>